
GainAMP_AVR_system_init:

;GainAMP_AVR.c,37 :: 		static void system_init( void )
;GainAMP_AVR.c,39 :: 		GAIN_AMP_CS_DIR = PIN_DIR_OUT;
	PUSH       R2
	PUSH       R3
	PUSH       R4
	IN         R27, DDA5_bit+0
	SBR        R27, BitMask(DDA5_bit+0)
	OUT        DDA5_bit+0, R27
;GainAMP_AVR.c,40 :: 		GAIN_AMP_SHDN_DIR = PIN_DIR_OUT;
	IN         R27, DDA6_bit+0
	SBR        R27, BitMask(DDA6_bit+0)
	OUT        DDA6_bit+0, R27
;GainAMP_AVR.c,41 :: 		GAIN_AMP_CS = 1;
	IN         R27, PORTA5_bit+0
	SBR        R27, BitMask(PORTA5_bit+0)
	OUT        PORTA5_bit+0, R27
;GainAMP_AVR.c,44 :: 		DDA1_bit = PIN_DIR_IN;
	IN         R27, DDA1_bit+0
	CBR        R27, BitMask(DDA1_bit+0)
	OUT        DDA1_bit+0, R27
;GainAMP_AVR.c,45 :: 		DDA0_bit = PIN_DIR_IN;
	IN         R27, DDA0_bit+0
	CBR        R27, BitMask(DDA0_bit+0)
	OUT        DDA0_bit+0, R27
;GainAMP_AVR.c,48 :: 		DDRC = PIN_ALL_DIR_OUT;
	LDI        R27, 255
	OUT        DDRC+0, R27
;GainAMP_AVR.c,51 :: 		SPI1_Init_Advanced( _SPI_MASTER, _SPI_FCY_DIV32, _SPI_CLK_HI_LEADING );
	LDI        R27, 8
	MOV        R4, R27
	LDI        R27, 6
	MOV        R3, R27
	LDI        R27, 16
	MOV        R2, R27
	CALL       _SPI1_Init_Advanced+0
;GainAMP_AVR.c,54 :: 		gain_amp_init( SPI1_Write );
	LDI        R27, #lo_addr(_SPI1_Write+0)
	MOV        R2, R27
	LDI        R27, hi_addr(_SPI1_Write+0)
	MOV        R3, R27
	CALL       _gain_amp_init+0
;GainAMP_AVR.c,56 :: 		gain = 0;
	LDI        R27, 0
	STS        GainAMP_AVR_gain+0, R27
;GainAMP_AVR.c,57 :: 		}
L_end_system_init:
	POP        R4
	POP        R3
	POP        R2
	RET
; end of GainAMP_AVR_system_init

_main:
	LDI        R27, 255
	OUT        SPL+0, R27
	LDI        R27, 0
	OUT        SPL+1, R27

;GainAMP_AVR.c,59 :: 		void main()
;GainAMP_AVR.c,61 :: 		system_init();
	PUSH       R2
	PUSH       R3
	PUSH       R4
	PUSH       R5
	PUSH       R6
	CALL       GainAMP_AVR_system_init+0
;GainAMP_AVR.c,63 :: 		gain_amp_set(GAIN_AMP_NOMINAL_0, GAIN_AMP_SW_SHUTDOWN);
	LDI        R27, 128
	MOV        R3, R27
	CLR        R2
	CALL       _gain_amp_set+0
;GainAMP_AVR.c,65 :: 		while( 1 )
L_main0:
;GainAMP_AVR.c,67 :: 		if(Button(&PINA, 1, 100, 1))
	LDI        R27, 1
	MOV        R6, R27
	LDI        R27, 100
	MOV        R5, R27
	LDI        R27, 1
	MOV        R4, R27
	LDI        R27, #lo_addr(PINA+0)
	MOV        R2, R27
	LDI        R27, hi_addr(PINA+0)
	MOV        R3, R27
	CALL       _Button+0
	TST        R16
	BRNE       L__main6
	JMP        L_main2
L__main6:
;GainAMP_AVR.c,69 :: 		byte = gain_amp_set(++gain & 0x07, GAIN_AMP_SW_SHUTDOWN);
	LDS        R16, GainAMP_AVR_gain+0
	SUBI       R16, 255
	STS        GainAMP_AVR_gain+0, R16
	ANDI       R16, 7
	LDI        R27, 128
	MOV        R3, R27
	MOV        R2, R16
	CALL       _gain_amp_set+0
	STS        GainAMP_AVR_byte+0, R16
;GainAMP_AVR.c,70 :: 		PORTC = byte;
	OUT        PORTC+0, R16
;GainAMP_AVR.c,71 :: 		}
L_main2:
;GainAMP_AVR.c,72 :: 		if(Button(&PINA, 0, 100, 1))
	LDI        R27, 1
	MOV        R6, R27
	LDI        R27, 100
	MOV        R5, R27
	CLR        R4
	LDI        R27, #lo_addr(PINA+0)
	MOV        R2, R27
	LDI        R27, hi_addr(PINA+0)
	MOV        R3, R27
	CALL       _Button+0
	TST        R16
	BRNE       L__main7
	JMP        L_main3
L__main7:
;GainAMP_AVR.c,74 :: 		byte = gain_amp_set(--gain & 0x07, GAIN_AMP_SW_SHUTDOWN);
	LDS        R16, GainAMP_AVR_gain+0
	SUBI       R16, 1
	STS        GainAMP_AVR_gain+0, R16
	ANDI       R16, 7
	LDI        R27, 128
	MOV        R3, R27
	MOV        R2, R16
	CALL       _gain_amp_set+0
	STS        GainAMP_AVR_byte+0, R16
;GainAMP_AVR.c,75 :: 		PORTC = byte;
	OUT        PORTC+0, R16
;GainAMP_AVR.c,76 :: 		}
L_main3:
;GainAMP_AVR.c,77 :: 		}
	JMP        L_main0
;GainAMP_AVR.c,78 :: 		}
L_end_main:
	POP        R6
	POP        R5
	POP        R4
	POP        R3
	POP        R2
L__main_end_loop:
	JMP        L__main_end_loop
; end of _main
