#line 1 "D:/Projects/GainAMP_click/example/AVR/GainAMP_AVR.c"
#line 1 "d:/projects/gainamp_click/library/include/gain_amp.h"
#line 1 "c:/users/branislav.marton/documents/mikroelektronika/mikroc pro for avr/include/stdint.h"




typedef signed char int8_t;
typedef signed int int16_t;
typedef signed long int int32_t;


typedef unsigned char uint8_t;
typedef unsigned int uint16_t;
typedef unsigned long int uint32_t;


typedef signed char int_least8_t;
typedef signed int int_least16_t;
typedef signed long int int_least32_t;


typedef unsigned char uint_least8_t;
typedef unsigned int uint_least16_t;
typedef unsigned long int uint_least32_t;



typedef signed char int_fast8_t;
typedef signed int int_fast16_t;
typedef signed long int int_fast32_t;


typedef unsigned char uint_fast8_t;
typedef unsigned int uint_fast16_t;
typedef unsigned long int uint_fast32_t;


typedef signed int intptr_t;
typedef unsigned int uintptr_t;


typedef signed long int intmax_t;
typedef unsigned long int uintmax_t;
#line 1 "c:/users/branislav.marton/documents/mikroelektronika/mikroc pro for avr/include/stdbool.h"



 typedef char _Bool;
#line 60 "d:/projects/gainamp_click/library/include/gain_amp.h"
typedef void ( *gainamp_write_spi_t )( unsigned char data_out );
#line 127 "d:/projects/gainamp_click/library/include/gain_amp.h"
void gain_amp_init( gainamp_write_spi_t write_spi );
#line 143 "d:/projects/gainamp_click/library/include/gain_amp.h"
uint8_t gain_amp_set( uint8_t channel_a, uint8_t channel_b );
#line 154 "d:/projects/gainamp_click/library/include/gain_amp.h"
void gain_amp_shutdown(  _Bool  flag );
#line 24 "D:/Projects/GainAMP_click/example/AVR/GainAMP_AVR.c"
sbit GAIN_AMP_CS at PORTA5_bit;
sbit GAIN_AMP_SHDN at PORTA6_bit;

sbit GAIN_AMP_CS_DIR at DDA5_bit;
sbit GAIN_AMP_SHDN_DIR at DDA6_bit;


static uint8_t gain;
static uint8_t byte;

static void system_init( void );


static void system_init( void )
{
 GAIN_AMP_CS_DIR =  1 ;
 GAIN_AMP_SHDN_DIR =  1 ;
 GAIN_AMP_CS = 1;


 DDA1_bit =  0 ;
 DDA0_bit =  0 ;


 DDRC =  0xFF ;


 SPI1_Init_Advanced( _SPI_MASTER, _SPI_FCY_DIV32, _SPI_CLK_HI_LEADING );


 gain_amp_init( SPI1_Write );

 gain = 0;
}

void main()
{
 system_init();

 gain_amp_set( (0x00) ,  (0x80) );

 while( 1 )
 {
 if(Button(&PINA, 1, 100, 1))
 {
 byte = gain_amp_set(++gain & 0x07,  (0x80) );
 PORTC = byte;
 }
 if(Button(&PINA, 0, 100, 1))
 {
 byte = gain_amp_set(--gain & 0x07,  (0x80) );
 PORTC = byte;
 }
 }
}
